Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.e2e.b2b
Class CalendarFormData

    java.lang.Object
      |
      +--examples.e2e.b2b.CalendarFormData

public class CalendarFormData
extends java.lang.Object

`CalendarFormData` maintains information for redisplaying date information in the QPA form.

See Also:
  `RequestState`, `QpaProcessor`

Constructor Summary
`CalendarFormData(java.lang.String monthName, int monthOffset, int dayNumber)` Constructs a new object with the supplied parameters.

Method Summary
`java.lang.String` | `dayNumber()` Retrieve the day of the month.
`java.lang.String` | `monthName()` Retrieve the name of the month.
`java.lang.String` | `monthOffset()` Retrieve the month offset from the current month.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CalendarFormData

    public CalendarFormData(java.lang.String monthName,
                            int monthOffset,
                            int dayNumber)

  Constructs a new object with the supplied parameters.

  Parameters:
    `monthName` - the name of the month, displayed in the drop-down list.
    `monthOffset` - integer offset that indicates the number of months difference between the current date and the date represented by this object.
    `dayNumber` - the day of the month.

Method Detail

### monthName

    public java.lang.String monthName()

  Retrieve the name of the month.

### monthOffset

    public java.lang.String monthOffset()

  Retrieve the month offset from the current month.

### dayNumber

    public java.lang.String dayNumber()

  Retrieve the day of the month.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved